<?php
	require_once("../includes/academia_constantes.php");
	require_once("../includes/funciones_generales.php");
	require_once("../includes/clase_sesion.php");
	$sesion=new sesion(); // inicio la sesion
	
	require_once("../includes/lib_lenguaje.php");
	$cleguaje=new cLanguage();
	if(!headers_sent())
	    ob_start("ob_gzhandler");
	if(!comprobar_sesion()){
		mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
		exit;
	}
	
	//ESTE ARCHIVO CARGA LOS SABERES SEGUN LA MATERIA 
	$codigo=escapar($_POST["codigo"],'int');
	$periodo=escapar($_POST["periodo"],'int');
	if(empty($codigo))
		exit;
		
	require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	

?>
<div class="ui-jqgrid-titlebar ui-widget-header ui-corner-top ui-helper-clearfix" align="center"><span class="ui-jqgrid-title">SABERES</span></div></td>
<table width="245" border="0" cellpadding="0" cellspacing="0" style="vertical-align:top !important; margin-top:0 " class="ui-jqgrid-htable">
  <tr class="ui-jqgrid-labels" role="rowheader">
    <th width="140" class="ui-state-default ui-th-column ui-th-ltr">Nombre</th>
    <th width="80" class="ui-state-default ui-th-column ui-th-ltr">Porcentaje</th>
    <th width="25" class="ui-state-default ui-th-column ui-th-ltr"></th>
  </tr>
</table>
<div class="ui-jqgrid-bdiv" style="height:114px">
<div style="position:relative">
<table width="245" border="0" cellpadding="0" cellspacing="0" id="tb_list_saberes" class="ui-jqgrid-btable">
<?php

	$sql="SELECT
				conf_saberes.nombre_saber
				, conf_saberes.nombre_saber
				, aux_sabxgraxasi.cod_asignatura
				, aux_sabxgraxasi.cod_grado
				, aca_detaxperxsaber.por_saber_asigxgru
				, conf_saberes.descripcion_saber
			FROM
				aux_sabxgraxasi
				INNER JOIN conf_saberes 
					ON (aux_sabxgraxasi.cod_saber = conf_saberes.cod_saber)
				INNER JOIN aca_detaxperxsaber 
					ON (aca_detaxperxsaber.cod_saber = conf_saberes.cod_saber)
				INNER JOIN aca_detallesxperiodo 
					ON (aca_detaxperxsaber.cod_ponxper = aca_detallesxperiodo.cod_ponxper)
			WHERE (aca_detallesxperiodo.cod_asigxgrupo ='$codigo' and  aca_detallesxperiodo.periodo_calif ='$periodo')
			ORDER BY conf_saberes.orden ASC";
			//echo $sql;
	$academia->instruccion($sql);
	while($reg=$academia->extraer_registro()){
?>  
  <tr class="ui-widget-content jqgrow ui-row-ltr opera" role="row" aria-id="<?php echo $reg[cod_saber] ?>">
    <td width="140" onClick="cargar_cant_notas('<?php echo $reg['cod_saber'] ?>')"><?php echo $reg['nombre_saber'] ?></td>
    <td width="80" onClick="cargar_cant_notas('<?php echo $reg['cod_saber'] ?>')" align="center"><?php echo $reg['por_saber_asigxgru'] ?></td>
    <td width="25" align="center"><img src="images/Help.png" alt="Que es esto?" title="<?php echo $reg['descripcion_saber'] ?>" class="tip"/></td>
    
  </tr>
  <?php
	}
	$academia->liberar();
	$academia->cerrar();
  ?>
</table>
</div>
</div>

